<?php

/**
 * Block functionality for Yayb module.
 */
class YaybServices {

  /**
   * Displays the block contents.
   */
  public static function view() {
    if (variable_get('yayb_toggle', 0)) {
      $block = [];
      if ($subject = variable_get('yayb_title', NULL)) {
        $block['subject'] = check_plain($subject);
      }
      if ($content = variable_get('yayb_message', NULL)) {
        $block['content'] = ['#markup' => filter_xss($content)];
      }
      return $block;
    }
  }
}
